// NOTE: Assertions have been autogenerated by utils/update_cc_test_checks.py
// RUN: %clang_cc1 -triple riscv64 -mepi -emit-llvm -o- %s \
// RUN:       | FileCheck %s

// CHECK-LABEL: @foo(
// CHECK-NEXT:  entry:
// CHECK-NEXT:    [[A:%.*]] = alloca <vscale x 1 x double>, align 8
// CHECK-NEXT:    [[TMP0:%.*]] = load <vscale x 1 x double>, <vscale x 1 x double>* [[A]], align 8
// CHECK-NEXT:    store <vscale x 1 x double> [[TMP0]], <vscale x 1 x double>* [[A]], align 8
// CHECK-NEXT:    ret void
//
void foo(void) {
  __epi_1xf64 a;
  a = a;
}
